static uint8_t data_array[256];
uint16_t rxOffset;

// Receive commands from UART
void uart_event_handle(app_uart_evt_t * p_event)
{
    static uint8_t index = 0;

    switch (p_event->evt_type)
    {
        case APP_UART_DATA_READY:
            UNUSED_VARIABLE(app_uart_get(&data_array[index]));
            index++;

            if (data_array[index - 1] == '\r') {
                data_array[index - 1] = '\0';
                if (strcmp((const char *)data_array, ":0200FA") == 0) {
					printf("\r\nCMD 1 Received\r\n");
                }
				if (strcmp((const char *)data_array, ":100456g011") == 0) {
                    printf("\r\nCMD 2 Received\r\n");
                }
            }
			rxOffset = index;
            break;

        default:
            break;
    }
}

static void uart_init(void)
{
    uint32_t                     err_code;
    const app_uart_comm_params_t comm_params =
    {
        RX_PIN_NUMBER,
        TX_PIN_NUMBER,
        RTS_PIN_NUMBER,
        CTS_PIN_NUMBER,
        APP_UART_FLOW_CONTROL_DISABLED,
        false,
        UART_BAUDRATE_BAUDRATE_Baud115200
    };

    APP_UART_FIFO_INIT( &comm_params,
                       UART_RX_BUF_SIZE,
                       UART_TX_BUF_SIZE,
                       uart_event_handle,
                       APP_IRQ_PRIORITY_LOW,
                       err_code);
    APP_ERROR_CHECK(err_code);
}

void func(void)
{
    printf("*** func ***\r\n");
    while(1)
    {   
        // Example          
        if ((rxOffset > 5) && (data_array[rxOffset - 1] == 0x0d))
        {               
        	printf("*** process ok***\r\n");
		}
	}
}

int main(void)
{
    LEDS_CONFIGURE(LEDS_MASK);
    LEDS_OFF(LEDS_MASK);

    uart_init();

    while (1)
    {
        func(); // process commands received from UART
    }
}